#ifndef DEVICECTRLPANEL_H
#define DEVICECTRLPANEL_H

#include "globaldefine.h"
#include <QScrollArea>
#include <QPushButton>
#include <QToolButton>
#include <QTextEdit>
#include <QLabel>

class DevicePanel;
class DeviceCtrlPanel : public QWidget {
    Q_OBJECT
public:
    explicit DeviceCtrlPanel(DevicePanel *parent = nullptr);

    QTextEdit *fdInfo;
protected:
    void showEvent(QShowEvent *event) override;
    void hideEvent(QHideEvent *event) override;
    void changeEvent(QEvent *) override;
    void transUi();
private:
    DevicePanel *mDevWgt;
    QButtonGroup *mBtnGrp;

    QScrollArea *scrollArea;
    QPushButton *btnClear;
    QWidget *wgts[Setting_End]{};
    int curIndex{-1};
};


#endif // DEVICECTRLPANEL_H
